MethodParameters (Apache Commons BCEL 6.4.1 API)

org.apache.bcel.classfile

## Class MethodParameters

- java.lang.Object
- - org.apache.bcel.classfile.Attribute
  - - org.apache.bcel.classfile.MethodParameters

- All Implemented Interfaces:
    Cloneable, Node

      public class MethodParameters
      extends Attribute

  This class represents a MethodParameters attribute.
  Since:
    6.0
  See Also:
    The class File Format : The MethodParameters Attribute

- - ### Field Summary

    - ### Fields inherited from class org.apache.bcel.classfile.Attribute

      `constant_pool, length, name_index, tag`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(Visitor v)` Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class.
    `Attribute` | `copy(ConstantPool _constant_pool)`
    `void` | `dump(DataOutputStream file)` Dump method parameters attribute to file stream in binary format.
    `MethodParameter[]` | `getParameters()`
    `void` | `setParameters(MethodParameter[] parameters)`

    - ### Methods inherited from class org.apache.bcel.classfile.Attribute

      `addAttributeReader, addAttributeReader, clone, getConstantPool, getLength, getName, getNameIndex, getTag, println, readAttribute, readAttribute, removeAttributeReader, setConstantPool, setLength, setNameIndex, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getParameters

          public MethodParameter[] getParameters()

    - #### setParameters

          public void setParameters(MethodParameter[] parameters)

    - #### accept

          public void accept(Visitor v)

      Description copied from class: `Attribute`
      Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class. I.e., the hierarchy of methods, fields, attributes, etc. spawns a tree of objects.
      Specified by:
        `accept` in interface `Node`
      Specified by:
        `accept` in class `Attribute`
      Parameters:
        `v` - Visitor object

    - #### copy

          public Attribute copy(ConstantPool _constant_pool)

      Specified by:
        `copy` in class `Attribute`
      Returns:
        deep copy of this attribute

    - #### dump

          public void dump(DataOutputStream file)
                    throws IOException

      Dump method parameters attribute to file stream in binary format.
      Overrides:
        `dump` in class `Attribute`
      Parameters:
        `file` - Output file stream
      Throws:
        `IOException`

Copyright © 2004–2019 The Apache Software Foundation. All rights reserved.